[Bug 87675] Please sync utf8-migration-tool (main) from Debian unstable (main)

Martin-Éric Racine q-funk at iki.fi
Sat Feb 24 22:19:52 GMT 2007

Public bug reported:

Binary package hint: utf8-migration-tool

Please sync utf8-migration-tool (main) from Debian unstable (main).

Changelog since current feisty version 0.3build1:

utf8-migration-tool (0.5.2) unstable; urgency=high
  * Fixed typo that resulted in RC bug (Closes: #406966).

utf8-migration-tool (0.5.1) unstable; urgency=low
  * Merged pedantic regex rule by Nicolas François (see #405968 thread).

utf8-migration-tool (0.5.0) unstable; urgency=low
  * Merged comprehensive patch by Nicolas François:
    - Strip encodings and modifiers as necessary:
      * The original encoding is only used as a conversion variable for 
        the file renaming step and otherwise stripped (Closes: #405967).
      * The modifier is preserved except for @euro (Closes: #405968).
    - Warn the user when no locale is set, or when the current locale is
      not supported by the system libraries, and exit (Closes: #405878).
    - Do not fail if ~/.dmrc is missing (Closes: #405879).
    - Detect failure when renaming files.
  * Moved display manager Depends to Recommends (handled by dmrc patch).
    TODO: figure out how to upgrade systems without any display manager.
    This requires upgrading environment variables, in the initialization
    scripts of the login shell. This is difficult, because there are too
    many shells we need to support (Debian uses bash but users sometimes
    prefer tcsh or zsh) and every shell has several possible files where
    the environment variables can reside.
  * Upgraded source to Standards-Version 3.7.2 (no change required).
  * Removed Tollef from Uploaders at his request.

utf8-migration-tool (0.4.3) unstable; urgency=low
  * Fixed "Anglicisme in French menu translation" (Closes: #405892).
  * Migrated Tollef to his Debian address in debian/control.
  * Inverted the Maintainer and Uploaders content.

utf8-migration-tool (0.4.2) unstable; urgency=low
  * Added Depends: gdm | kdm | wdm, as suggested by Osamu Aoki.
    Should fix the issue reported by Alexander Patrakov in #374997. 
  * TODO: 
    Add support for special cases such as Russian KOI8-R and for 
    locales migrating from the @euro variant (see #374997). 
    Patches are welcome!     

utf8-migration-tool (0.4.1) unstable; urgency=low
  * Merged patch by Vincent Bernat to remove hard-coded GTK theme.
  * First upload to Debian (Closes: #374997):
    - Upgraded build scripts to CDBS.
    - Added missing dependencies.
    - Added myself to Uploaders.
    - Created desktop menu.
    - Created manual page.

This could also be uploaded to Edgy and Dapper as an update or backport,
as desired.

** Affects: utf8-migration-tool (Ubuntu)
     Importance: Undecided
         Status: Unconfirmed

Please sync utf8-migration-tool (main) from Debian unstable (main)

More information about the ubuntu-archive mailing list